Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.todo
Class ToDoResources

    java.lang.Object
      |
      +--com.compoze.todo.ToDoResources

public class ToDoResources
extends java.lang.Object

Provides access to the `ToDoResources` for the ToDo package. This class provides access to `todo_resources.properties` and provides a way to internationalize certain class in the ToDo package.

`todo_resources.properties` can be found in `todo.jar` at `com.compoze.todo.todo_resources.properties`.

Constructor Summary
`ToDoResources()`

Method Summary
`static java.util.ResourceBundle` | `i()` Gets the singleton instance of the `ToDoResources`.
`static java.util.ResourceBundle` | `i(java.util.Locale locale)` Gets the singleton instance of the `ToDoResources`.
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToDoResources

    public ToDoResources()

Method Detail

### i

    public static java.util.ResourceBundle i()

  Gets the singleton instance of the `ToDoResources`. The default locale is used.
  Returns:
    a `ToDoResources` for the to do package
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### i

    public static java.util.ResourceBundle i(java.util.Locale locale)

  Gets the singleton instance of the `ToDoResources`.
  Parameters:
    `locale` - the locale to use when retrieving the resource bundle
  Returns:
    a `ToDoResources`for the to do package``
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### main

    public static void main(java.lang.String[] args)

  Exerciser.
  Parameters:
    `args` - main arguments - first argument should be the key to get the value for

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.